"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _ramda = require("ramda");

var _computeColumnWidths = _interopRequireDefault(require("./helpers/computeColumnWidths"));

var _createRenderTree = _interopRequireDefault(require("./helpers/createRenderTree"));

var _fillTableDisplay = _interopRequireWildcard(require("./helpers/fillTableDisplay"));

var _TCellConstraintsComputer = _interopRequireDefault(require("./helpers/TCellConstraintsComputer"));

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

class TableLayout {
  constructor(tnode, config) {
    _defineProperty(this, "display", void 0);

    _defineProperty(this, "columnWidths", void 0);

    _defineProperty(this, "totalWidth", void 0);

    _defineProperty(this, "renderTree", void 0);

    const computer = new _TCellConstraintsComputer.default({});
    this.display = (0, _fillTableDisplay.createEmptyDisplay)(config);
    (0, _fillTableDisplay.default)(tnode, this.display, computer);
    this.columnWidths = (0, _computeColumnWidths.default)(this.display);
    this.totalWidth = (0, _ramda.sum)(this.columnWidths);
    this.renderTree = (0, _createRenderTree.default)(this.display, this.columnWidths);
  }

}

exports.default = TableLayout;
//# sourceMappingURL=TableLayout.js.map